Bug 128686 - Status fails to indicate modem is active
Status fails to indicate modem is active
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-27 19:02 EDT by Darragh Bailey
Modified: 2008-05-06 20:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:00:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darragh Bailey 2004-07-27 19:02:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Once a modem connection has been succesfully activated, the status
column on the "Network Device Control" gui does not switch to indicate
that it has been activated even though the connection is successfully
and can be verified using ifconfig to confirm that the ppp0 protocol
is successfully running across the modem device.

This is the second dialup configuration option for the modem and is
therefore labelled as using device ppp1 as the first one is using
device ppp0. 

I assume that the gui has created the device incorrectly and assigned
it the device ppp1 even though both configurations setup ppp0.

If the configuration using ppp0 is activated it is identified
correctly as being "Active", however if the configuration using ppp1
is activated neither is identified as "Active". I assume this is
because when the configuration is activated it expects to see ppp1
come up when in fact ppp0 comes up.

Note that I am using an external modem that is connected to my serial
port, and is identified by the symlink modem0 in both dialup
configurations.


Version-Release number of selected component (if applicable):
system-config-network-tui-1.3.17-0.FC2.1

How reproducible:
Always

Steps to Reproduce:
1. Create two configurations using the same modem device (modem0 in my
case)
2. 1st one will be labeled as device ppp0, second as ppp1
3. Activate the one labeled as ppp1
4. When the tool is finished and it shows as inactive, run ifconfig to
confirm that ppp0 is up.
    

Actual Results:  The dial-up connection works however it uses device
ppp0, which was verified by running ifconfig to see which interfaces
were up, instead of ppp1, which means that the device status remains
inactive.

Expected Results:  ppp1 should have its status to be altered to Active.



Additional info:

No error messages are thrown, as it is an external modem I can see
from the lights when I am connected and disconnected easily enough.

I'm not certain that the bug is with the system-config-network tool,
but it does appear to at the very least setup the device interfaces wrong.
Comment 1 Matthew Miller 2005-04-26 11:51:37 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Darragh Bailey 2005-05-17 09:16:49 EDT
I can confirm that the issue still exists in FC3. I'll try and look into it
myself a bit more in the future to see if I can come up with a fix. Not too
pushed as it hasn't been much of an issue. I'm sure its just something to do
with the way the network config scripts are created.

changed version to FC3.
Comment 3 Matthew Miller 2006-07-10 18:43:15 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Darragh Bailey 2006-07-12 06:09:56 EDT
No longer use fedora core personnally, and also don't use modem any more. So
unfortunately I don't know if the bug still exists in FC5.
Comment 5 Matthew Miller 2006-07-12 09:18:28 EDT
Okay. Thanks for at least commenting.
Comment 6 Bug Zapper 2008-04-03 11:37:31 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-05-06 20:00:08 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.